Re: [PATCH] ci/install-depends: attempt to fix "brew cask" stuff

3 messages, 3 authors, 2021-01-15 · open the first message on its own page

Re: [PATCH] ci/install-depends: attempt to fix "brew cask" stuff

From: Junio C Hamano <hidden>
Date: 2021-01-15 05:49:31

Junio C Hamano [off-list ref] writes:
It seems that homebrew suddenly started giving us trouble, like this:

https://github.com/git/git/runs/1705953982?check_suite_focus=true#step:3:70

Here is my attempt to work it around by blindly following the
suggested course of action in the error message, without knowing
what I am doing X-<.  I am not a Mac person.

What is frustrating is that every time we hit a minor snag like this
to break one of the jobs, all other unrelated jobs are also taken
down.

Help by those who know what they are doing on macOS would greatly be
appreciated.  Thanks.
After seeing 'seen' with this patch at its tip pass the tests [*1*],
I prepared a merge of this change into the tip of 'next' and
tentatively updated 'seen' with it.

The test is still running [*2*], but the problematic part in the
macOS build has already passed, so I am planning to fast-track this
change down to 'next', 'master' and eventually down to 'maint' to
keep the CI going to help other platforms catch more interesting
problems.

Help from those who are more familiar with macOS and homebrew is
still appreciated, though.


[References]

*1* https://github.com/git/git/actions/runs/486978562
*2* https://github.com/git/git/runs/1706704233?check_suite_focus=true#step:3:81

quoted hunk
----- >8 ----- >8 ----- >8 ----- >8 ----- >8 ----- >8 -----
We run "git pull" against "$cask_repo"; clarify that we are
expecting not to have any of our own modifications and running "git
pull" to merely update, by passing "--ff-only" on the command line.

Also, the "brew cask install" command line triggers an error message
that says:

    Error: Calling brew cask install is disabled! Use brew install
    [--cask] instead.

In addition, "brew install caskroom/cask/perforce" step triggers an
error that says:

    Error: caskroom/cask was moved. Tap homebrew/cask instead.

Attempt to see if blindly following the suggestion in these error
messages gets us into a better shape.

Signed-off-by: Junio C Hamano <redacted>
---
 ci/install-dependencies.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/ci/install-dependencies.sh b/ci/install-dependencies.sh
index 0229a77f7d..0b1184e04a 100755
--- a/ci/install-dependencies.sh
+++ b/ci/install-dependencies.sh
@@ -44,13 +44,13 @@ osx-clang|osx-gcc)
 	test -z "$BREW_INSTALL_PACKAGES" ||
 	brew install $BREW_INSTALL_PACKAGES
 	brew link --force gettext
-	brew cask install --no-quarantine perforce || {
+	brew install --cask --no-quarantine perforce || {
 		# Update the definitions and try again
 		cask_repo="$(brew --repository)"/Library/Taps/homebrew/homebrew-cask &&
-		git -C "$cask_repo" pull --no-stat &&
-		brew cask install --no-quarantine perforce
+		git -C "$cask_repo" pull --no-stat --ff-only &&
+		brew install --cask --no-quarantine perforce
 	} ||
-	brew install caskroom/cask/perforce
+	brew install homebrew/cask/perforce
 	case "$jobname" in
 	osx-gcc)
 		brew install gcc@9

Re: [PATCH] ci/install-depends: attempt to fix "brew cask" stuff

From: Eric Sunshine <hidden>
Date: 2021-01-15 06:06:40

On Fri, Jan 15, 2021 at 12:50 AM Junio C Hamano [off-list ref] wrote:
Junio C Hamano [off-list ref] writes:
quoted
It seems that homebrew suddenly started giving us trouble, like this:
https://github.com/git/git/runs/1705953982?check_suite_focus=true#step:3:70
After seeing 'seen' with this patch at its tip pass the tests [*1*],
I prepared a merge of this change into the tip of 'next' and
tentatively updated 'seen' with it.

The test is still running [*2*], but the problematic part in the
macOS build has already passed, so I am planning to fast-track this
change down to 'next', 'master' and eventually down to 'maint' to
keep the CI going to help other platforms catch more interesting
problems.

Help from those who are more familiar with macOS and homebrew is
still appreciated, though.
I looked over your Homebrew-related changes, and they seem fine.

The `brew install homebrew/cask/perforce` command could be shortened
to `brew install perforce`, at least at the present, but being
explicit with the long identifier is probably better anyhow.

Re: [PATCH] ci/install-depends: attempt to fix "brew cask" stuff

From: Derrick Stolee <hidden>
Date: 2021-01-15 14:28:40

On 1/15/2021 12:48 AM, Junio C Hamano wrote:
Junio C Hamano [off-list ref] writes:
quoted
It seems that homebrew suddenly started giving us trouble, like this:

https://github.com/git/git/runs/1705953982?check_suite_focus=true#step:3:70

Here is my attempt to work it around by blindly following the
suggested course of action in the error message, without knowing
what I am doing X-<.  I am not a Mac person.

What is frustrating is that every time we hit a minor snag like this
to break one of the jobs, all other unrelated jobs are also taken
down.

Help by those who know what they are doing on macOS would greatly be
appreciated.  Thanks.
After seeing 'seen' with this patch at its tip pass the tests [*1*],
I prepared a merge of this change into the tip of 'next' and
tentatively updated 'seen' with it.

The test is still running [*2*], but the problematic part in the
macOS build has already passed, so I am planning to fast-track this
change down to 'next', 'master' and eventually down to 'maint' to
keep the CI going to help other platforms catch more interesting
problems.

Help from those who are more familiar with macOS and homebrew is
still appreciated, though.


[References]

*1* https://github.com/git/git/actions/runs/486978562
*2* https://github.com/git/git/runs/1706704233?check_suite_focus=true#step:3:81
We recently hit this same issue with our macOS builds for Scalar
and GCM core. Your solution looks very similar to how we fixed
the problem.

Reviewed-by: Derrick Stolee <redacted>
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help